"use client";
import { StyledCode, getPropDefaults } from "./base/Code.js";
import { toReactNodes } from "../../utils/toReactNodes/toReactNodes.js";
import { jsx } from "@emotion/react/jsx-runtime";
//#region src/components/typography/Code.tsx
function Code(props) {
	const propsWithDefaults = getPropDefaults(props);
	let reactNodes = props.children || null;
	if (props.content) reactNodes = toReactNodes(props.content);
	return /* @__PURE__ */ jsx(StyledCode, {
		...propsWithDefaults,
		children: reactNodes
	});
}
//#endregion
export { Code };
